petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDTGaussTensorQuadrature

creates a tensor-product Gauss quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTGaussTensorQuadrature(PetscInt dim, PetscInt npoints, PetscReal a, PetscReal b, PetscQuadrature *q)

Not Collective Many br

### Input Arguments

| dim | - The spatial dimension Many br
| npoints | - number of points in one dimension Many br
| a | - left end of interval (often-1) Many br
| b | - right end of interval (often +1) Many br

### Output Argument

q -A PetscQuadrature object Many br

Many br

### See Also

PetscDTGaussQuadrature(), PetscDTLegendreEval()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages